apiVersion: doris.selectdb.com/v1
kind: DorisCluster
metadata:
  labels:
    app.kubernetes.io/name: doriscluster
  name: doriscluster-helm
  namespace: zyly
spec:
  feSpec:
    affinity:
      nodeAffinity:
        requiredDuringSchedulingIgnoredDuringExecution:
          nodeSelectorTerms:
            - matchExpressions:
                - key: uavcloud.env
                  operator: In
                  values:
                    - doris
    replicas: 3
    image: 172.16.100.55:8033/cmii/doris.fe-ubuntu:2.1.6
    limits:
      cpu: 8
      memory: 16Gi
    requests:
      cpu: 2
      memory: 6Gi
    configMapInfo:
      # use kubectl create configmap fe-configmap --from-file=fe.conf
      configMapName: fe-configmap
      resolveKey: fe.conf
    persistentVolumes:
    - mountPath: /opt/apache-doris/fe/doris-meta
      name: doris-fe-2000g
      persistentVolumeClaimSpec:
        # when use specific storageclass, the storageClassName should reConfig, example as annotation.
        storageClassName: doris-nfs-sc-56
        accessModes:
          - ReadWriteOnce
        resources:
          requests:
            storage: 2000Gi
    - mountPath: /opt/apache-doris/fe/jdbc_drivers
      name: doriscluster-storage-fe-jdbc-drivers
      persistentVolumeClaimSpec:
        # when use specific storageclass, the storageClassName should reConfig, example as annotation.
        storageClassName: doris-nfs-sc-58
        accessModes:
        - ReadWriteOnce
        resources:
          requests:
            storage: 100Gi
  beSpec:
    affinity:
      nodeAffinity:
        requiredDuringSchedulingIgnoredDuringExecution:
          nodeSelectorTerms:
            - matchExpressions:
                - key: uavcloud.env
                  operator: In
                  values:
                    - doris
    replicas: 3
    image: 172.16.100.55:8033/cmii/doris.be-ubuntu:2.1.6
    limits:
      cpu: 8
      memory: 24Gi
    requests:
      cpu: 2
      memory: 6Gi
    configMapInfo:
      # use kubectl create configmap be-configmap --from-file=be.conf
      configMapName: be-configmap
      resolveKey: be.conf
    persistentVolumes:
    - mountPath: /opt/apache-doris/be/storage
      name: doris-1-9000g-pvc
      persistentVolumeClaimSpec:
        # when use specific storageclass, the storageClassName should reConfig, example as annotation.
        storageClassName: doris-nfs-sc-57
        accessModes:
          - ReadWriteOnce
        resources:
          requests:
            storage: 9000Gi
    - mountPath: /opt/apache-doris/be/jdbc_drivers
      name: doriscluster-storage-be-jdbc-drivers
      persistentVolumeClaimSpec:
        # when use specific storageclass, the storageClassName should reConfig, example as annotation.
        storageClassName: doris-nfs-sc-58
        accessModes:
        - ReadWriteOnce
        resources:
          requests:
            storage: 1000Gi